Loading...
Searching...
No Matches
Gudhi::Persistence_representations::Real_valued_topological_data Class Reference

The concept Real_valued_topological_data describes the requirements for a type to implement a container that allows computations of its projections to R. More...

`#include <concept/Persistence_representations/Real_valued_topological_data.h>`

## Public Member Functions

size_t | number_of_projections_to_R ()
double | project_to_R (size_t number_of_projection)

## Detailed Description

The concept Real_valued_topological_data describes the requirements for a type to implement a container that allows computations of its projections to R.

## Member Function Documentation

## number_of_projections_to_R()

size_t Gudhi::Persistence_representations::Real_valued_topological_data::number_of_projections_to_R | ( |  | ) |

Typically there are various ways data can be projected to R. This function gives us the number of functions for vectorization provided by a given class.

## project_to_R()

double Gudhi::Persistence_representations::Real_valued_topological_data::project_to_R | ( | size_t | number_of_projection | ) |

This is a function to compute the projection from this container to reals. The parameter of a function have to be between 0 and the value returned by number_of_projections_to_R().

The documentation for this class was generated from the following file:

- concept/Persistence_representations/Real_valued_topological_data.h